GNU bug report logs - #46393
[PATCH] gnu: Add ocrfeeder

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Andy Tai <atai@HIDDEN>; Keywords: patch; dated Tue, 9 Feb 2021 03:56:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 46393 <at> debbugs.gnu.org:


Received: (at 46393) by debbugs.gnu.org; 23 Feb 2021 20:06:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 23 15:06:10 2021
Received: from localhost ([127.0.0.1]:60604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEdwg-000552-3D
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2021 15:06:10 -0500
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:48777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lEdwe-00054n-1p
 for 46393 <at> debbugs.gnu.org; Tue, 23 Feb 2021 15:06:09 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.west.internal (Postfix) with ESMTP id 522343DB;
 Tue, 23 Feb 2021 15:06:02 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute1.internal (MEProxy); Tue, 23 Feb 2021 15:06:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=JYjCcCfcSQMvbiuA0sAZcoqJ
 VAHJq5E05S2v1ndDlfY=; b=Q+RL/xJLbq1VE14ATn77kgZwU2Ep2XF9v/g7mZqB
 JOGBoVzqjwQF1r3JKEwf6oX5pC88CdPcvVDzcm+OlstK7NqBErkFJQRwXPfeLl6Q
 LAcbytfqvDviDnjHv3HTDgOjvP0xJzRPaJffuC2DVIiHWAxttRHfH69PHEII2jpN
 bcM=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=JYjCcC
 fcSQMvbiuA0sAZcoqJVAHJq5E05S2v1ndDlfY=; b=cuwuzimoZaoQac22227a9W
 O3ECdKjAnqw5bUjukRcyvgSNcMftCDmLOZzrQzMjQsMdC5ZmLYWTRHjHoAkDq8Qs
 4y+h2DL9wn21tFB6e1wtYJpzwCyULpeoXp55JXqFhrF/NSHQkZ0DSLKJsXe9H2Kq
 XLuduGqFb6HMj9eTfeyTVcPkKGVteshEZeBCF27T6u2I0iic2eCjruX+WzrSUJgv
 q4Ziru7ElhSqaCSXe4kuossnorp146l2PjIrAbRmJ5oYHVZmHHtTbkUL5yueocA5
 arajj1f/6j4XL80MMw1ujEXckHneHn2XDbS2xvBb60acbBZ0Yapt/vRBnJNmZo+A
 ==
X-ME-Sender: <xms:KWA1YGk0qV2-6Or1XYDSmWGaLYVJ25E4D6zOFpcSU07srgVhgOdw-A>
 <xme:KWA1YCGcEub1M7Iy3ZJwf_tUZEZYHhwo12qHXkouceqfZe0RvIBxu3lrDaFtNiRAA
 XPHP5ze4mJLK6sg8g>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrkeehgddufedvucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjsehttdertddttddvnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtth
 gvrhhnpeeukeektdffvddtudegjeegtdevhfeufeeivdejiedtieegtdevjedvjeehffev
 gfenucfkphepuddttddruddurdduieelrdduudeknecuvehluhhsthgvrhfuihiivgeptd
 enucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:KWA1YPoMSfxv5rrp4mK55WEY6fhdOwdDI7uaIfDwtIdwIyHwxIQiYg>
 <xmx:KWA1YO4rOt5X0l5984CbLeJ5uztLq1ZXsmbw11xMqvOaXdpa3RB_kQ>
 <xmx:KWA1YN4nOJ56MD8ZmfM14X3kbYjaPDmtp31wZ5GPqCSYmhv9XFApgg>
 <xmx:KWA1YO7fh8BCGXGxwTFwug3Be_4MzXZ-HJ-dqLWag0bXJKRdZfV8_Q>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id AC880108006A;
 Tue, 23 Feb 2021 15:06:01 -0500 (EST)
Date: Tue, 23 Feb 2021 15:05:59 -0500
From: Leo Famulari <leo@HIDDEN>
To: Andy Tai <atai@HIDDEN>
Subject: Re: [bug#46393] [PATCH] gnu: Add ocrfeeder
Message-ID: <YDVgJ4EL5+TGkovo@HIDDEN>
References: <CAJsg1E82CPFxeOranmKGJjh7PVvbWfP+YJYzf1cg5UFcRJu=jw@HIDDEN>
 <handler.46393.B.161284293412235.ack <at> debbugs.gnu.org>
 <CAJsg1E-Lm1znYh6N9vhP9Uaa4hEB07WhjpGHqtxS-ppX1kE6Bw@HIDDEN>
 <YDGqdMyoaVL0qrmQ@HIDDEN>
 <CAJsg1E8CNhONw7iuAo_aYiUKOmAb7H7iDdG5b8nMDO5M9Yy00A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAJsg1E8CNhONw7iuAo_aYiUKOmAb7H7iDdG5b8nMDO5M9Yy00A@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46393
Cc: 46393 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, Feb 20, 2021 at 11:09:19PM -0800, Andy Tai wrote:
> From ee945305828750c4bf6e1ee010444d705eb9334b Mon Sep 17 00:00:00 2001
> From: Andy Tai <atai@HIDDEN>
> Date: Sat, 20 Feb 2021 22:58:07 -0800
> Subject: [PATCH] gnu: Add ocrfeeder
> 
> * gnu/packages/gnome.scm (ocrfeeder): New variable
> ---
>  gnu/packages/gnome.scm      | 67 ++++++++++++++++++++++++++++++++++++-
>  gnu/packages/ocr.scm        | 32 +++++++++---------
>  gnu/packages/python-xyz.scm | 24 +++++++++++++
>  3 files changed, 106 insertions(+), 17 deletions(-)

> +(define-public ocrfeeder

Alright, the ocrfeeder package is looking good now.

> diff --git a/gnu/packages/ocr.scm b/gnu/packages/ocr.scm
> index c4e965941a..0b46f979ce 100644
> --- a/gnu/packages/ocr.scm
> +++ b/gnu/packages/ocr.scm

Did you mean to include these changes to tesseract-ocr? I just skimmed,
but they only seem to be cosmetic changes, so probably not.

> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
> index b26fce72a9..1fb9ff60b4 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm

> +(define-public python-sane

Python-sane was already added, in commit f500905ce1baf85a2407c5ccde148ee6c2ea2584

Can you send a revised patch?




Information forwarded to guix-patches@HIDDEN:
bug#46393; Package guix-patches. Full text available.

Message received at 46393 <at> debbugs.gnu.org:


Received: (at 46393) by debbugs.gnu.org; 23 Feb 2021 20:00:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 23 15:00:52 2021
Received: from localhost ([127.0.0.1]:60592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEdrY-0004wq-0M
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2021 15:00:52 -0500
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:34447)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lEdrV-0004wc-SC
 for 46393 <at> debbugs.gnu.org; Tue, 23 Feb 2021 15:00:50 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.west.internal (Postfix) with ESMTP id A76A1A6F;
 Tue, 23 Feb 2021 15:00:43 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Tue, 23 Feb 2021 15:00:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=QcVrsLEOLQQpJ3MI7P6wsBUv
 yaiEiNDMBxdPg/ddyb8=; b=Ea+ActnChwpS0/9neo7nz5nRmC0e71M4sOWRAhN1
 poUVbSu/im5Q/VyaA1/vXK4ep6GbRe+L3xpLGNzl7lV7+sx11wANTzpsnTbeB78v
 0FnXuJdjrHDEctnS/5iy6KW5NQKe/dqeWpWFq/Dr3WojjHXxHkP/Irv1Y1T9Q60B
 n+o=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=QcVrsL
 EOLQQpJ3MI7P6wsBUvyaiEiNDMBxdPg/ddyb8=; b=dwOP0e7iuN+OvTyXLJRW0/
 KI17gYQ/pwu+/Bbcy2lT+QZrYvp71Jp5HHiJ8E9Kul8/es+0teWNAG5xg+OfG2hD
 9HFisTRx8OxC9QYOLal9dBUWwC+fKBzTPwMLmRiX9iE0t4jPvNpUfGPflx7kyFjH
 kc/xFiNJP33W1KtQUOFehlOwcDAZSJ71n2yL2605OmfmPrQC331fE2ODX1Wzfe3/
 bPgF85d1RsMxU4HiytcxsT9nWImD9v7qroaMJcX9JPG0PLaCAsPWISuYa0muhAOJ
 AxzPYSgLfBUuUsAUpc3X/R88L69EtVq7cOt7Ff10hcVeCRqAEC3CTMcVpwAWHczA
 ==
X-ME-Sender: <xms:6l41YB4Ud-5GPq9svCyh3Q5j6mDeGHhvaxJRUiRMaB4HD9xEG-10TA>
 <xme:6l41YAavD5pr8R9M3EDvrcxDuETPgx1hpQ8rs2sLuHfcLcYGi_m4fRnszcxA5H9iS
 sYsmqDOVg5ogrmrdA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrkeehgddufeduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjsehttdertddttddvnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtth
 gvrhhnpedvvddugefffeeitddthfefvdeuhffgkeeikeegkeevteeghfeftefggeeuudff
 ieenucffohhmrghinhepghhnuhdrohhrghenucfkphepuddttddruddurdduieelrdduud
 eknecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplhgv
 ohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:6l41YIiminISVTVChI1rkUkvrPDxvd6hjfdecbimRKL_yfgupM7OsA>
 <xmx:6l41YJ9xA9BGsAcMy8SRzvI2L5ffcfw06yTjBjHlKDTaY-uFPiaI0g>
 <xmx:6l41YLqCWaAq3ljXJsw0y_T0gDWav1Yy951gK2VM_dcMgJ4yZmFLCg>
 <xmx:6141YCAbjMBc0X33WvP34vUesoYYCGIO12xAVF9iG7vU8AwDhou90Q>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id DEBFF240064;
 Tue, 23 Feb 2021 15:00:42 -0500 (EST)
Date: Tue, 23 Feb 2021 15:00:40 -0500
From: Leo Famulari <leo@HIDDEN>
To: Andy Tai <atai@HIDDEN>
Subject: Re: [bug#46393] [PATCH] gnu: Add ocrfeeder
Message-ID: <YDVe6FJ9MRAvV39W@HIDDEN>
References: <CAJsg1E82CPFxeOranmKGJjh7PVvbWfP+YJYzf1cg5UFcRJu=jw@HIDDEN>
 <handler.46393.B.161284293412235.ack <at> debbugs.gnu.org>
 <CAJsg1E-Lm1znYh6N9vhP9Uaa4hEB07WhjpGHqtxS-ppX1kE6Bw@HIDDEN>
 <YDGqdMyoaVL0qrmQ@HIDDEN>
 <CAJsg1E8CNhONw7iuAo_aYiUKOmAb7H7iDdG5b8nMDO5M9Yy00A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAJsg1E8CNhONw7iuAo_aYiUKOmAb7H7iDdG5b8nMDO5M9Yy00A@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46393
Cc: 46393 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, Feb 20, 2021 at 11:09:19PM -0800, Andy Tai wrote:
> Not sure if GNU Debbugs has a way to show dependency

Yes. You can mark certain bugs as "blocking" other from being closed.
You do it by sending email to <control <at> debbugs.gnu.org>. The control
mechanisms are described here:

https://debbugs.gnu.org/server-control.html




Information forwarded to guix-patches@HIDDEN:
bug#46393; Package guix-patches. Full text available.

Message received at 46393 <at> debbugs.gnu.org:


Received: (at 46393) by debbugs.gnu.org; 22 Feb 2021 18:30:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 13:30:33 2021
Received: from localhost ([127.0.0.1]:57501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEFyb-0004uT-2t
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 13:30:33 -0500
Received: from mail-io1-f48.google.com ([209.85.166.48]:35420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lichengtai@HIDDEN>) id 1lEFyZ-0004uG-IG
 for 46393 <at> debbugs.gnu.org; Mon, 22 Feb 2021 13:30:32 -0500
Received: by mail-io1-f48.google.com with SMTP id q77so14339971iod.2
 for <46393 <at> debbugs.gnu.org>; Mon, 22 Feb 2021 10:30:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=atai-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=Sc1gUrOIiBcwkR7+oJdoNVQlY4URj8OnvMKig8fGVdA=;
 b=wx5sePX48jEhGdLCd5ZShbr2t+2DqoIQrC+Z83ZIE592t/8KtA46HKK+57WW+mqZJh
 lGvLF5ClSt6LlEqYKr3aoQig9YQvm+DLQ+9nwbmVXQJhZSWw3w0Ya7/obl6xXPEp4D78
 BxF2rQ4+XXV1nKo0zYCk+WX00FEein+P4bMkTEi87mzBLyVkXz1v/TdCw7lbaVnCvguG
 C9cCHvXR2NgAdFokKAIH/DDwuak/WA3WVtrDD5FGe6FUYurBkD2JH/mW9tnCtvKT/9Tt
 4s/2rqD4rBzPZaEqktq8XLctoLqcq7hFz55DWjrMT6bgQd8O+7469XvP/8qq624GhcGl
 xqgg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=Sc1gUrOIiBcwkR7+oJdoNVQlY4URj8OnvMKig8fGVdA=;
 b=Qaf9JTMQ9jr+Yu4SVJSOipkQ33XGCusULxGnY2ifSnRcRVG5urLOMqQoUfFcJQUO34
 RSNCXoRqJs1BdkfjmlZ5jNMyfqSS7POlDFeiXlNm9J4QPsSGVC3Ol/qoolgBeYBjYKNv
 oV4ROM/FMu2wocmT0xgcGnwmNnpM+t2Boxj0CiMbBGaFaQdeEAScIde5qrVy6zCOh+/e
 mcOEPDsfgO/YM1BKjOYq3OyYLLqGZ6xZjtiVSrieJgupXavKvroXPP57oDMYmDf68Nz/
 rFDhPJUUXR7aCsh7FyeGIeoRQUHPZsx5jJkJReqE8G8GEM6395ZTXWOI6DtQHvXWPQ9+
 jacw==
X-Gm-Message-State: AOAM531IiuP7B6do9Wjp32uZxRHmew45Ck6YicaPcYLt0oatOPIygdB1
 6Y2dz1IPIGNCMsZujDwa2ggFtizN6dskp/+D09w=
X-Google-Smtp-Source: ABdhPJwT22iDrku/vzXhJ+S6jmfYVgYeDyTlnvUkDYxx1h7liG+vdTgMv0JFjEZjXrVpiti5kXCwttwv4FO8YZ0n8As=
X-Received: by 2002:a02:2b2a:: with SMTP id h42mr23762466jaa.44.1614018625765; 
 Mon, 22 Feb 2021 10:30:25 -0800 (PST)
MIME-Version: 1.0
References: <CAJsg1E82CPFxeOranmKGJjh7PVvbWfP+YJYzf1cg5UFcRJu=jw@HIDDEN>
 <handler.46393.B.161284293412235.ack <at> debbugs.gnu.org>
 <CAJsg1E-Lm1znYh6N9vhP9Uaa4hEB07WhjpGHqtxS-ppX1kE6Bw@HIDDEN>
 <YDGqdMyoaVL0qrmQ@HIDDEN>
 <CAJsg1E9dcb45vOxRYP-Jpuw7L9dumnh7mpimx8o5Ltm6aMYXBg@HIDDEN>
 <YDP3fxAuZoU8meWP@HIDDEN>
In-Reply-To: <YDP3fxAuZoU8meWP@HIDDEN>
From: Andy Tai <atai@HIDDEN>
Date: Mon, 22 Feb 2021 10:29:49 -0800
Message-ID: <CAJsg1E-CaF=xpCS+=1WyKLMjpvYV+D_GubysTkiqQdfbme06QA@HIDDEN>
Subject: Re: [bug#46393] [PATCH] gnu: Add ocrfeeder
To: Leo Famulari <leo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46393
Cc: 46393 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Thanks for clarifying the license:-)

On Mon, Feb 22, 2021 at 10:27 AM Leo Famulari <leo@HIDDEN> wrote:
>
> On Sat, Feb 20, 2021 at 10:37:27PM -0800, Andy Tai wrote:
> > On Sat, Feb 20, 2021 at 4:34 PM Leo Famulari <leo@HIDDEN> wrote:
> > > I looked in the repo and it doesn't look like the expat license:
> > >
> > > https://directory.fsf.org/wiki/License:Expat
> > >
> > > I'm not sure what it is? Can you do a little research? That FSF licen=
se
> > > directory might help.
> >
> >
> > I double checked and the FSF uses expat to refer to MIT-style license.
> > I put a comment in the python-sane patch to that effect.
>
> Sorry, but this is not the expat license. It's a completely different
> text.
>
> In terms of concrete differences, at least, the requirement not to use
> the author's name for "advertising" is not part of the expat license.
>
> It's basically a variation on these:
>
> https://www.xfree86.org/4.0.2/LICENSE3.html
>
> I pushed a followup commit, adjusting the package to use the generic
> "non-copyleft" license.



--=20
Andy Tai, atai@HIDDEN, Skype: licheng.tai, Line: andy_tai, WeChat: andyta=
i1010
Year 2021 =E6=B0=91=E5=9C=8B110=E5=B9=B4
=E8=87=AA=E5=8B=95=E7=9A=84=E7=B2=BE=E7=A5=9E=E5=8A=9B=E6=98=AF=E4=BF=A1=E4=
=BB=B0=E8=88=87=E8=A6=BA=E6=82=9F
=E8=87=AA=E5=8B=95=E7=9A=84=E8=A1=8C=E7=82=BA=E5=8A=9B=E6=98=AF=E5=8B=9E=E5=
=8B=95=E8=88=87=E6=8A=80=E8=83=BD




Information forwarded to guix-patches@HIDDEN:
bug#46393; Package guix-patches. Full text available.

Message received at 46393 <at> debbugs.gnu.org:


Received: (at 46393) by debbugs.gnu.org; 22 Feb 2021 18:27:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 13:27:22 2021
Received: from localhost ([127.0.0.1]:57496 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEFvW-0004oc-Io
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 13:27:22 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:50227)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lEFvU-0004oP-QW
 for 46393 <at> debbugs.gnu.org; Mon, 22 Feb 2021 13:27:21 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 329189F2;
 Mon, 22 Feb 2021 13:27:14 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Mon, 22 Feb 2021 13:27:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=DCH8frWEIVE7bxT01979ZCKO
 HUUYxsOPDSq1rJYMAKY=; b=LeFV7lx0SC4cPLoG+sLDIEouY3dPVKxvX5nsx+6V
 bkpFUuF4JQLjGIXdPcyTus2ORO3VXRXwsjCnffNcUplXcnTbeHbK+GMpMsgf9Nyd
 cY9Fh/z2sY+6zRnsJ/gtp9THgsl+iWwTv9EXU9o6+C/ZbdipO1Yfy9yI/n6SyctN
 sIA=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=DCH8fr
 WEIVE7bxT01979ZCKOHUUYxsOPDSq1rJYMAKY=; b=KcUaHbCQJlaojfRNxt2c6t
 bJsp9dLmGRJCKohvVDbVc4/iweox5osZdHaVN+vLHgtK7fiCIlsc1JqB3h8DAgIy
 UpBJRQOo78CKkKK1ofBhSq0Dw1WQULeg0wfg3vXGZ2sUUR9HKgKFfgh3vM/SN6hR
 CdpQ3tGnZiD5pi4G7L41SPiDurqiA7q79v26vXi3gzQqI4vc7IpLEVlE3Uijok6L
 zPsoyYHS5zBOgsu7rmrlGQxSlno4Kr8Kp7rPAGgaPaPHKBNAVKJI/PL1WXaM2n+2
 arM3w4PIjYvLTApNlH9tkgk48omQ2C9E9jYlMy1yjbadZy5NqxugfMyIxwbtDELQ
 ==
X-ME-Sender: <xms:gfczYP-MHzFFzusn7yEigv5G5bzv1cXDGdTTNJqow-9T-Xs-JxqyZQ>
 <xme:gfczYHO1QgOyjGaeAZ109SCcbeMEU8-fCsi73DoCcNGL_z0BBFolWx6Vk5-hTPBWz
 _jdjv-Me1quz6JvIQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrkeefgdduuddvucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjsehttdertddttddvnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtth
 gvrhhnpeffkeehheefffffuddttddvtddtffegkedukeevieeltdeiffeggfdtkefhhefh
 teenucffohhmrghinhepfhhsfhdrohhrghdpgihfrhgvvgekiedrohhrghenucfkphepud
 dttddruddurdduieelrdduudeknecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghm
 pehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:gfczYDe-Edgi3s5CgzofbNwwoIy4enN8Zyxa2eeuxIkGlHBZH1y0Ug>
 <xmx:gfczYGUkPTLru9riPizIHrmqkAXPPuQ7lGYC5gQXLpyYRa3V_nM3Lg>
 <xmx:gfczYLiW03muUmY0HydFUFFsYvYTeHXFsRkRBG7p8Y0fz15MwdMOMg>
 <xmx:gfczYMKKo5GRrfVtckvHn-bpXvDlp9joTRCG3bjLZ8l0WF94wgHnFA>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 067DA24005B;
 Mon, 22 Feb 2021 13:27:13 -0500 (EST)
Date: Mon, 22 Feb 2021 13:27:11 -0500
From: Leo Famulari <leo@HIDDEN>
To: Andy Tai <atai@HIDDEN>
Subject: Re: [bug#46393] [PATCH] gnu: Add ocrfeeder
Message-ID: <YDP3fxAuZoU8meWP@HIDDEN>
References: <CAJsg1E82CPFxeOranmKGJjh7PVvbWfP+YJYzf1cg5UFcRJu=jw@HIDDEN>
 <handler.46393.B.161284293412235.ack <at> debbugs.gnu.org>
 <CAJsg1E-Lm1znYh6N9vhP9Uaa4hEB07WhjpGHqtxS-ppX1kE6Bw@HIDDEN>
 <YDGqdMyoaVL0qrmQ@HIDDEN>
 <CAJsg1E9dcb45vOxRYP-Jpuw7L9dumnh7mpimx8o5Ltm6aMYXBg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAJsg1E9dcb45vOxRYP-Jpuw7L9dumnh7mpimx8o5Ltm6aMYXBg@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46393
Cc: 46393 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, Feb 20, 2021 at 10:37:27PM -0800, Andy Tai wrote:
> On Sat, Feb 20, 2021 at 4:34 PM Leo Famulari <leo@HIDDEN> wrote:
> > I looked in the repo and it doesn't look like the expat license:
> >
> > https://directory.fsf.org/wiki/License:Expat
> >
> > I'm not sure what it is? Can you do a little research? That FSF license
> > directory might help.
> 
> 
> I double checked and the FSF uses expat to refer to MIT-style license.
> I put a comment in the python-sane patch to that effect.

Sorry, but this is not the expat license. It's a completely different
text.

In terms of concrete differences, at least, the requirement not to use
the author's name for "advertising" is not part of the expat license.

It's basically a variation on these:

https://www.xfree86.org/4.0.2/LICENSE3.html

I pushed a followup commit, adjusting the package to use the generic
"non-copyleft" license.




Information forwarded to guix-patches@HIDDEN:
bug#46393; Package guix-patches. Full text available.

Message received at 46393 <at> debbugs.gnu.org:


Received: (at 46393) by debbugs.gnu.org; 21 Feb 2021 07:10:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 02:10:10 2021
Received: from localhost ([127.0.0.1]:53451 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDisW-0006KV-Ng
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 02:10:10 -0500
Received: from mail-il1-f172.google.com ([209.85.166.172]:40785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lichengtai@HIDDEN>) id 1lDisT-0006Ju-Ew
 for 46393 <at> debbugs.gnu.org; Sun, 21 Feb 2021 02:10:02 -0500
Received: by mail-il1-f172.google.com with SMTP id e7so8172176ile.7
 for <46393 <at> debbugs.gnu.org>; Sat, 20 Feb 2021 23:10:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=atai-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=xrFMATliBs5vlt/SgMAo/6vFwM05AAiU1CKvMDuufMQ=;
 b=rXqflgGwoiWvohdaBM9q1VpsA2e6osIO7AYSqKwIU39vyCcdJlhM4jKED9VAVZkYTa
 zmtOeNi8mpmHY2CUwCcP2wFjUYb3jZ4oF8y0fVjl0EvPZZAF5CplFk7G9fnKY03Pqf61
 iedrv4ESEKo4TrmCJxPe5s1ktlAOAM2Ru6IYuKS+1AIS8vK9Lq+ScNPbNS+3vcT8MrKV
 Ttkq0wKZnoz/W1tDRoPYrdb0XQ/j7kqv4ZPF/2ftA3SiUhvbxhgHvIJrrD/eV65/WP7i
 aUx2+Wnv2qh1Zr43wp8rlEn9mXENvR6UQwXPNYzt9ZRFJiGm7UGl3UbY9+EmtkN+z40n
 Gp6A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=xrFMATliBs5vlt/SgMAo/6vFwM05AAiU1CKvMDuufMQ=;
 b=pL+p8ZOmRvwyqk2koRS/G/GsseEPFxjRzpJN/NSSyT0Tcu923/DXuI5ouoRghNaZs7
 OWPdPGgP9ehsgGRWgpuHIVwtgmoVcSS2zRcYPXcE7JTVtedwj2OMcNR4DXmnyR1B0TJT
 +Gpz/OSZElcnpjnbhOTxiQ07OtrGfZ5lyjkFtDwxLt1C7pFfQIiwK1An1k2QiNsO6Qd+
 WcnvHST+S5sgBlFhzCLQQ63xvegQ98UnaVcMFw1LWoQyYV9ZT+BgU5dKnkScBB8+ZhLO
 fXJhMSf/xP6BjsGHuq/UkhwFzhfcAvIBPGDgAtBx5pi6R4WvX+td6j3MLxAjccglZYlx
 HgKQ==
X-Gm-Message-State: AOAM530eHCFSJzzS7XtbcUnRUNc0ryHp/ifQZfqZ6LzZIdvV+GWIeNg8
 NB3B+oJzJdzR96oUqt2e5End7gWe18plF8hM3FQ=
X-Google-Smtp-Source: ABdhPJx8HCJRTjz08noTszJ305PNx+FVtn8thQjwXNjgqwZPxJNhG/JmYpHv7ZCbnns1wJE+2MQkiHxem6RJ6kSh13U=
X-Received: by 2002:a05:6e02:13cb:: with SMTP id
 v11mr1795761ilj.105.1613891395921; 
 Sat, 20 Feb 2021 23:09:55 -0800 (PST)
MIME-Version: 1.0
References: <CAJsg1E82CPFxeOranmKGJjh7PVvbWfP+YJYzf1cg5UFcRJu=jw@HIDDEN>
 <handler.46393.B.161284293412235.ack <at> debbugs.gnu.org>
 <CAJsg1E-Lm1znYh6N9vhP9Uaa4hEB07WhjpGHqtxS-ppX1kE6Bw@HIDDEN>
 <YDGqdMyoaVL0qrmQ@HIDDEN>
In-Reply-To: <YDGqdMyoaVL0qrmQ@HIDDEN>
From: Andy Tai <atai@HIDDEN>
Date: Sat, 20 Feb 2021 23:09:19 -0800
Message-ID: <CAJsg1E8CNhONw7iuAo_aYiUKOmAb7H7iDdG5b8nMDO5M9Yy00A@HIDDEN>
Subject: Re: [bug#46393] [PATCH] gnu: Add ocrfeeder
To: Leo Famulari <leo@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000005c48ad05bbd35f96"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46393
Cc: 46393 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--0000000000005c48ad05bbd35f96
Content-Type: text/plain; charset="UTF-8"

On Sat, Feb 20, 2021 at 4:34 PM Leo Famulari <leo@HIDDEN> wrote:
> > * gnu/packages/gnome.scm (ocrfeeder): New variable
> > * gnu/packages/python-xyz.scm (python-sane): New variable
>
> In general, we add packages one commit at a time, so we prefer to
> receive this as two patches. First, a patch that adds python-sane, and
> then a second patch adding ocrfeeder.
>

Thus this bug now depends on the separate python-sane patch

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=46675

Not sure if GNU Debbugs has a way to show dependency

> > +    (synopsis "A Complete OCR Suite")
>
> I would write, simply, "Complete OCR Suite". For some reason, the linter
> doesn't complain for me, but it should recommend against starting
> synopses with an article. That is, with "a", "an", or "the".
>

changed as suggested

> https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.html
>
> > +    (description "OCRFeeder is a complete Optical Character
> > Recognition and Document Analysis and Recognition program")
>
> And make sure to end the sentence with a period "."
>
>

added

--0000000000005c48ad05bbd35f96
Content-Type: text/x-patch; charset="UTF-8"; name="0001-gnu-Add-ocrfeeder.patch"
Content-Disposition: attachment; filename="0001-gnu-Add-ocrfeeder.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_klet5vch0>
X-Attachment-Id: f_klet5vch0
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--0000000000005c48ad05bbd35f96--




Information forwarded to guix-patches@HIDDEN:
bug#46393; Package guix-patches. Full text available.

Message received at 46393 <at> debbugs.gnu.org:


Received: (at 46393) by debbugs.gnu.org; 21 Feb 2021 06:38:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 01:38:11 2021
Received: from localhost ([127.0.0.1]:53431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDiNf-0003J2-Ag
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 01:38:11 -0500
Received: from mail-il1-f176.google.com ([209.85.166.176]:36082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lichengtai@HIDDEN>) id 1lDiNc-0003Io-Vq
 for 46393 <at> debbugs.gnu.org; Sun, 21 Feb 2021 01:38:09 -0500
Received: by mail-il1-f176.google.com with SMTP id g9so8158215ilc.3
 for <46393 <at> debbugs.gnu.org>; Sat, 20 Feb 2021 22:38:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=atai-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=BXDBspghH1GY4zCjsrSvfcIbN7jgKNExj2XOrMh3wbU=;
 b=ldFA790ZLh8zwc5bP/cX2Vgp1Y3pT75CavNZWr6sd3OxnFGZo4xx6RKBQfefi0cRXV
 eirzBkuRm9HG1BtpKxXgrTlXqIGVIFTm81OsJvGDiUb71D8+wQDyw+KivIpp5M9f1OKZ
 11qgY/xslmLobTvwMm0okQ7i/tajIzFr4QpHWOreOElEN47pOhVcQzTH/602LwPaExOj
 vZTfd2o1K/S15ST4vUyOkBInUP20wQYEGKaKwe3+vpT6rRW7HIMA2Lh222MtjYTCshvE
 XUnLE9SBY+vR0Pqx1xOl1XqH1nQj8BREmZSrGhzATZJ3QZqP6FmnWhDAC2fM8y8Tlyy2
 lnGA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=BXDBspghH1GY4zCjsrSvfcIbN7jgKNExj2XOrMh3wbU=;
 b=AD8UDvk7SSXvOiTWuYWg1iaMoHNF41RAW4oMlafaBU4ff6N5iexQ5af5yI7eXbV5NM
 r88f4PyLo4oRl0wODlDuYFHCbwonpakAySk3UEsxxxtp3W17oK1HC+78quleklcmNT1C
 wM9DDgBDvshP/zIC78kHWRbypn1y3EmNbSsB10ApEwGyVczfSj8zIRg55ZcUA4uyDZRc
 DK5/UJoHPNIGWbRE7321r/YA/NoHEV/rZJ1dT8M8wUshGTbbNcLYCYspt84yu/qEZYa3
 JNUXaROk0y4lA6hI9bupTKpdMnbZ5C4ZwMrzMfygL6gwTpYrG6kFfP88vhyXSnmKZhs8
 R08w==
X-Gm-Message-State: AOAM5337vSUNnGeTWoB3sWGfEd8u+4Nt+E8sqc8fV0AHay5ERWlqeJu5
 OYbGFK9nUwX6dnA5kI2ZboUQ02lmeDXGUMGf5PI=
X-Google-Smtp-Source: ABdhPJyzo6NJUMSWKMQb1RULYqnAkurn6DEWjHBhtMKBBL7ugDkBENr5gs6NFmFtNWq5uk+8nNj6y3zFItf4niHd88w=
X-Received: by 2002:a05:6e02:cb1:: with SMTP id
 17mr7186076ilg.271.1613889483428; 
 Sat, 20 Feb 2021 22:38:03 -0800 (PST)
MIME-Version: 1.0
References: <CAJsg1E82CPFxeOranmKGJjh7PVvbWfP+YJYzf1cg5UFcRJu=jw@HIDDEN>
 <handler.46393.B.161284293412235.ack <at> debbugs.gnu.org>
 <CAJsg1E-Lm1znYh6N9vhP9Uaa4hEB07WhjpGHqtxS-ppX1kE6Bw@HIDDEN>
 <YDGqdMyoaVL0qrmQ@HIDDEN>
In-Reply-To: <YDGqdMyoaVL0qrmQ@HIDDEN>
From: Andy Tai <atai@HIDDEN>
Date: Sat, 20 Feb 2021 22:37:27 -0800
Message-ID: <CAJsg1E9dcb45vOxRYP-Jpuw7L9dumnh7mpimx8o5Ltm6aMYXBg@HIDDEN>
Subject: Re: [bug#46393] [PATCH] gnu: Add ocrfeeder
To: Leo Famulari <leo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46393
Cc: 46393 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Sat, Feb 20, 2021 at 4:34 PM Leo Famulari <leo@HIDDEN> wrote:
>
> On Sat, Feb 13, 2021 at 06:40:57PM -0800, Andy Tai wrote:
> > * gnu/packages/gnome.scm (ocrfeeder): New variable
> > * gnu/packages/python-xyz.scm (python-sane): New variable
>
> In general, we add packages one commit at a time, so we prefer to
> receive this as two patches. First, a patch that adds python-sane, and
> then a second patch adding ocrfeeder.
>
I have made python-sane addition a separate patch,
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=46675


>
> > +(define-public python-sane
> > +    (description "Python interface to the SANE scanner and frame
> > grabber interface for Linux")
>
> We prefer to use complete sentences in the description. You can always
> make it simple:
>
> "This package provides Python interface to the SANE scanner and frame
> grabber interface for Linux."
>

changed as suggested

> > +    (license license:expat)))
>
> I looked in the repo and it doesn't look like the expat license:
>
> https://directory.fsf.org/wiki/License:Expat
>
> I'm not sure what it is? Can you do a little research? That FSF license
> directory might help.


I double checked and the FSF uses expat to refer to MIT-style license.
I put a comment in the python-sane patch to that effect.

Thanks




Information forwarded to guix-patches@HIDDEN:
bug#46393; Package guix-patches. Full text available.

Message received at 46393 <at> debbugs.gnu.org:


Received: (at 46393) by debbugs.gnu.org; 21 Feb 2021 00:34:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 19:34:11 2021
Received: from localhost ([127.0.0.1]:53207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDchP-0002oj-6k
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 19:34:11 -0500
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:45191)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lDchN-0002oV-85
 for 46393 <at> debbugs.gnu.org; Sat, 20 Feb 2021 19:34:10 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id DB4F25A6;
 Sat, 20 Feb 2021 19:34:02 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Sat, 20 Feb 2021 19:34:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=8KwyjxU5FuAN74DjLyI6tUzI
 yZX9QSR/wba6CqYyllE=; b=XLDgXM0qBGNfJ4M35SH7cjgbnUdPEEzYCRDMC9RA
 TofU0R4GhGlwrfP3yqFN+le7V3RTYe7KiAFs/tb/4V+vk5hSY/5/eUph6IWwvOgZ
 Qsc5ESLmR1DWi72wru+jEXwMp3zt8AZbVPWqZJUzwYZPwZc0Z3vqV+DgFfKnXg5s
 pF4=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=8Kwyjx
 U5FuAN74DjLyI6tUzIyZX9QSR/wba6CqYyllE=; b=Ln5/hUs3I44Qq04wiO6rOw
 bR7etyKK8zMe6AB9lD9d5avPkLHZhLsOUuZHFiG6JSKuNPShwzT7Z66i1TKnQ6wP
 tdXFxFqB+6OxFmREF19Psj9UPTKUJwkt90ENnd54H/knr3N8UfEcSRafPzK9njPg
 EHM4lZb5UNazbJFGxqRPv7bmAgbdwAZs3WAl9u8cYxoYgY5Fup2UCs/r9y0ib6Kt
 b5jq58xyTwhNmaZi1I7yMC6390Mxf11Hga+Dva8qrrpYaIGtbS/EI9I5LxnekwsQ
 QtuwqCrsqxnocUVSgugmgbyc6HcoPZxcXQr3EK4h8SSVZaEbmDRq9QSU8umdAUYQ
 ==
X-ME-Sender: <xms:eqoxYLKa-kt7jFZy5F9YF3NVCp06IRNgGUr20FS73QESah9cTiY3AQ>
 <xme:eqoxYPLlvcBj-tajMeCCLls13ElvMl0cWsRCI-Ld9dIpphYBAczaDjyq3w25vN0ho
 5E7eEz2RrJ29R05GA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrjeelgddvudcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeffhffvuffkfhggtggujgesthdtredttddtvdenucfhrhhomhepnfgvohcuhfgr
 mhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrthhtvg
 hrnhepgeegveekjeetgfdvheetjeejueejgfehgfdtieduuddtkeeluefhhfffvddtvdef
 necuffhomhgrihhnpehgnhhurdhorhhgpdhfshhfrdhorhhgnecukfhppeeiledruddvtd
 drledvrddvtdeknecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhf
 rhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:eqoxYDus6nukEUQM3_gPBcc44nnR8vVHJzfs4JahsWJsxSCMBtYoJw>
 <xmx:eqoxYEbD784JzzfyGTkRMH019aa4PXhP9eTgooXNjlEj_6FxGzNkKA>
 <xmx:eqoxYCbNUnokaPQ-10bEeC2RWv9ucfEFCEIh28nM95tUllCRYODKng>
 <xmx:eqoxYA0lCsS168uOPvoOX_vlMz8vvr2FJEFSCq63KaEm0Wm7nOC7mw>
Received: from localhost (ool-45785cd0.dyn.optonline.net [69.120.92.208])
 by mail.messagingengine.com (Postfix) with ESMTPA id 07294240057;
 Sat, 20 Feb 2021 19:34:02 -0500 (EST)
Date: Sat, 20 Feb 2021 19:33:56 -0500
From: Leo Famulari <leo@HIDDEN>
To: Andy Tai <atai@HIDDEN>
Subject: Re: [bug#46393] [PATCH] gnu: Add ocrfeeder
Message-ID: <YDGqdMyoaVL0qrmQ@HIDDEN>
References: <CAJsg1E82CPFxeOranmKGJjh7PVvbWfP+YJYzf1cg5UFcRJu=jw@HIDDEN>
 <handler.46393.B.161284293412235.ack <at> debbugs.gnu.org>
 <CAJsg1E-Lm1znYh6N9vhP9Uaa4hEB07WhjpGHqtxS-ppX1kE6Bw@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAJsg1E-Lm1znYh6N9vhP9Uaa4hEB07WhjpGHqtxS-ppX1kE6Bw@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46393
Cc: 46393 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, Feb 13, 2021 at 06:40:57PM -0800, Andy Tai wrote:
> * gnu/packages/gnome.scm (ocrfeeder): New variable
> * gnu/packages/python-xyz.scm (python-sane): New variable

In general, we add packages one commit at a time, so we prefer to
receive this as two patches. First, a patch that adds python-sane, and
then a second patch adding ocrfeeder.

> +(define-public ocrfeeder

Overall LGTM, thanks!

> +    (synopsis "A Complete OCR Suite")

I would write, simply, "Complete OCR Suite". For some reason, the linter
doesn't complain for me, but it should recommend against starting
synopses with an article. That is, with "a", "an", or "the".

https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.html

> +    (description "OCRFeeder is a complete Optical Character
> Recognition and Document Analysis and Recognition program")

And make sure to end the sentence with a period "."

> +(define-public python-sane

Great!

> +    (synopsis "Python interface to the SANE scanner")
> +    (description "Python interface to the SANE scanner and frame
> grabber interface for Linux")

We prefer to use complete sentences in the description. You can always
make it simple:

"This package provides Python interface to the SANE scanner and frame
grabber interface for Linux."

> +    (license license:expat)))

I looked in the repo and it doesn't look like the expat license:

https://directory.fsf.org/wiki/License:Expat

I'm not sure what it is? Can you do a little research? That FSF license
directory might help.




Information forwarded to guix-patches@HIDDEN:
bug#46393; Package guix-patches. Full text available.

Message received at 46393 <at> debbugs.gnu.org:


Received: (at 46393) by debbugs.gnu.org; 14 Feb 2021 02:41:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 13 21:41:46 2021
Received: from localhost ([127.0.0.1]:35306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lB7Lw-0004uw-T8
	for submit <at> debbugs.gnu.org; Sat, 13 Feb 2021 21:41:46 -0500
Received: from mail-io1-f41.google.com ([209.85.166.41]:38159)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lichengtai@HIDDEN>) id 1lB7Lv-0004ui-2Z
 for 46393 <at> debbugs.gnu.org; Sat, 13 Feb 2021 21:41:40 -0500
Received: by mail-io1-f41.google.com with SMTP id f6so3345281ioz.5
 for <46393 <at> debbugs.gnu.org>; Sat, 13 Feb 2021 18:41:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=atai-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=Vj0HZpE0RnRaGUWlxyOHJYNkX+6Ex3WmjG0WWTW5BHg=;
 b=DZ5YPww2bEklmyd+J1CmYhuXfGf45OOmPbaREoYN9ofzvY15rjlQcT0q98RsxnPK+G
 bDB32afcAEM4ChSZhmBqzeGfCWC6Iaq/YxxJLvWu/uu+MzSHgw+I092FAUWVmQksrmRh
 KljuClHsOoZLo1otdqAyuiVRZWa80+rr1eFaeErhEF3+Z4V69TXMnwiYwisLIzfwQW6t
 p1E6TUaBz9qd0IIvmOP5QCNkxVpMPx8XomVQ/rWgzbegOhDlITiA1EDGY6Q0ojrkrz0s
 7jrW3juHwnsXMB2IhOyHLaErU7+ES1jqfd9jPe5DjdnCL6V/74W02CacsB57Q3wIte2c
 jtVg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:content-transfer-encoding;
 bh=Vj0HZpE0RnRaGUWlxyOHJYNkX+6Ex3WmjG0WWTW5BHg=;
 b=hu7MiCP9UrNEt1dAGBdRuqB2XnvuHuk7k2HlzejJJPLWze/HwA4V09BynDNEn49WQO
 XcCKcXoqms1uJwDI3olwvUeFSQuVly+Tqyd7G802JmGGp3mX63VkGwwrzjJ/SYYHQNiY
 qB3wUi01mdGz2svPqE8Ce5h/c1uW43pPf66+FYhVDUUIaXfKljbxw/0uYYY6dklqjn/Y
 a0ECDE13iGGm0ywggJMKs3hV5x5HIyQN3R7WyOY+UPwTgeAaPy4WI3sy6lfNkCHdyegX
 YcXbQDoVx7ivLPWSF8gXevtr4MjUdO3qbF7PmEoj+cQKholfKiIQG/Wco7dHqktOELnK
 y9HQ==
X-Gm-Message-State: AOAM530SzQjAr2MhjigOlVUj1VMTrM+hHToAguZJADgbBZh3mUBOIqDt
 ywRm5jy02VwdIdfsaluAvOIECXqUURtuWg3QDL5kReu7RHtgRg==
X-Google-Smtp-Source: ABdhPJytBpfmA6v9FzbpU7/8BOtA+c4dm24XyWQWQS8/Y2LH86kHvrEPiM8NhD4FKCqfPz+aD61nfAOTRQB7ek9TVcw=
X-Received: by 2002:a6b:5002:: with SMTP id e2mr7629909iob.152.1613270493172; 
 Sat, 13 Feb 2021 18:41:33 -0800 (PST)
MIME-Version: 1.0
References: <CAJsg1E82CPFxeOranmKGJjh7PVvbWfP+YJYzf1cg5UFcRJu=jw@HIDDEN>
 <handler.46393.B.161284293412235.ack <at> debbugs.gnu.org>
In-Reply-To: <handler.46393.B.161284293412235.ack <at> debbugs.gnu.org>
From: Andy Tai <atai@HIDDEN>
Date: Sat, 13 Feb 2021 18:40:57 -0800
Message-ID: <CAJsg1E-Lm1znYh6N9vhP9Uaa4hEB07WhjpGHqtxS-ppX1kE6Bw@HIDDEN>
Subject: Re: [PATCH] gnu: Add ocrfeeder
To: 46393 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46393
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

* gnu/packages/gnome.scm (ocrfeeder): New variable
* gnu/packages/python-xyz.scm (python-sane): New variable
---
 gnu/packages/gnome.scm      | 67 ++++++++++++++++++++++++++++++++++++-
 gnu/packages/python-xyz.scm | 25 ++++++++++++++
 2 files changed, 91 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 0f0b7c8157..be6e825ddd 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -56,7 +56,7 @@
 ;;; Copyright =C2=A9 2020 Arun Isaac <arunisaac@HIDDEN>
 ;;; Copyright =C2=A9 2020 Michael Rohleder <mike@HIDDEN>
 ;;; Copyright =C2=A9 2020 Tim Gesthuizen <tim.gesthuizen@HIDDEN>
-;;; Copyright =C2=A9 2020 Andy Tai <atai@HIDDEN>
+;;; Copyright =C2=A9 2020, 2021 Andy Tai <atai@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -149,6 +149,7 @@
   #:use-module (gnu packages ninja)
   #:use-module (gnu packages node)
   #:use-module (gnu packages nss)
+  #:use-module (gnu packages ocr)
   #:use-module (gnu packages openldap)
   #:use-module (gnu packages package-management)
   #:use-module (gnu packages password-utils)
@@ -12034,3 +12035,67 @@ for the GNOME 3.x platform with many
features.  It aims to be a very complete
 editing environment for translation issues within the GNU gettext/GNOME de=
sktop
 world.")
     (license license:gpl3+)))
+
+
+(define-public ocrfeeder
+  (package
+    (name "ocrfeeder")
+    (version "0.8.3")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "mirror://gnome/sources/ocrfeeder/"
+                                  (version-major+minor version) "/"
+                                  "ocrfeeder-" version ".tar.xz"))
+              (sha256
+               (base32
+                "12f5gnq92ffnd5zaj04df7jrnsdz1zn4zcgpbf5p9qnd21i2y529"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after
+          'install 'wrap-program
+          (lambda* (#:key outputs #:allow-other-keys)
+            (let ((prog (string-append (assoc-ref outputs "out")
+                                       "/bin/" "ocrfeeder"))
+                  (pylib (string-append (assoc-ref outputs "out")
+                                        "/lib/python"
+                                        ,(version-major+minor
+                                          (package-version python))
+                                        "/site-packages")))
+              (wrap-program prog
+                `("PYTHONPATH" =3D (,(getenv "PYTHONPATH") ,pylib))
+                `("GI_TYPELIB_PATH" =3D (,(getenv "GI_TYPELIB_PATH"))))
+              #t)))
+         )))
+    (native-inputs
+     `(("glib:bin" ,glib "bin")                   ; for glib-compile-resou=
rces
+       ("gobject-introspection" ,gobject-introspection)
+       ("gtk+:bin" ,gtk+ "bin")                   ; for gtk-update-icon-ca=
che
+       ("intltool" ,intltool)
+       ("itstool" ,itstool)
+       ("pkg-config" ,pkg-config)
+       ("xmllint" ,libxml2)))
+    (inputs
+     `(("enchant" ,enchant)
+       ("glib" ,glib)
+       ("goocanvas" ,goocanvas)
+       ("gtk" ,gtk+)
+       ("gtkspell3" ,gtkspell3)
+       ("libjpeg" ,libjpeg-turbo)
+       ("libtiff" ,libtiff)
+       ("libraw" ,libraw)
+       ("ocrad" ,ocrad)
+       ("python" ,python-wrapper)
+       ("python-pygobject" ,python-pygobject)
+       ("python-odfpy" ,python-odfpy)
+       ("python-pillow" ,python-pillow)
+       ("python-pyenchant" ,python-pyenchant)
+       ("python-reportlab" ,python-reportlab)
+       ("python-sane" ,python-sane)
+       ("sane-backends" ,sane-backends)
+       ("tesseract-ocr" ,tesseract-ocr)))
+    (home-page "https://wiki.gnome.org/Apps/OCRFeeder")
+    (synopsis "A Complete OCR Suite")
+    (description "OCRFeeder is a complete Optical Character
Recognition and Document Analysis and Recognition program")
+    (license license:gpl3+)))
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index e879742e5f..1c9bb2f77d 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -96,6 +96,7 @@
 ;;; Copyright =C2=A9 2020, 2021 Zheng Junjie <873216071@HIDDEN>
 ;;; Copyright =C2=A9 2021 Morgan Smith <Morgan.J.Smith@HIDDEN>
 ;;; Copyright =C2=A9 2020 EuAndreh <eu@HIDDEN>
+;;; Copyright =C2=A9 2021 Andy Tai <atai@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -179,6 +180,7 @@
   #:use-module (gnu packages readline)
   #:use-module (gnu packages sdl)
   #:use-module (gnu packages search)
+  #:use-module (gnu packages scanner)
   #:use-module (gnu packages shells)
   #:use-module (gnu packages sphinx)
   #:use-module (gnu packages ssh)
@@ -23735,3 +23737,26 @@ implementations.")
       "Pivy provides python bindings for Coin, a 3D graphics library with =
an
 Application Programming Interface based on the Open Inventor 2.1 API.")
     (license license:isc)))
+
+
+
+(define-public python-sane
+  (package
+    (name "python-sane")
+    (version "2.9.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri name version))
+        (sha256
+          (base32
+            "1pi597z94n2mkd821ln52fq0g727n2jxfskf280ip3kf7jw8w294"))))
+    (build-system python-build-system)
+    (native-inputs
+      `(("python-pytest" ,python-pytest)))
+    (inputs
+      `(("sane-backends" ,sane-backends)))
+    (home-page "https://github.com/python-pillow/Sane")
+    (synopsis "Python interface to the SANE scanner")
+    (description "Python interface to the SANE scanner and frame
grabber interface for Linux")
+    (license license:expat)))
\ No newline at end of file
--=20
2.30.0




Information forwarded to guix-patches@HIDDEN:
bug#46393; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Feb 2021 03:55:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 08 22:55:34 2021
Received: from localhost ([127.0.0.1]:52319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l9K7d-0003BC-2e
	for submit <at> debbugs.gnu.org; Mon, 08 Feb 2021 22:55:34 -0500
Received: from lists.gnu.org ([209.51.188.17]:33892)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lichengtai@HIDDEN>) id 1l9K7X-0003Az-Sf
 for submit <at> debbugs.gnu.org; Mon, 08 Feb 2021 22:55:27 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:41044)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lichengtai@HIDDEN>)
 id 1l9K7X-0003dQ-Dk
 for guix-patches@HIDDEN; Mon, 08 Feb 2021 22:55:23 -0500
Received: from mail-io1-xd34.google.com ([2607:f8b0:4864:20::d34]:46707)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <lichengtai@HIDDEN>)
 id 1l9K7V-0000iJ-2k
 for guix-patches@HIDDEN; Mon, 08 Feb 2021 22:55:23 -0500
Received: by mail-io1-xd34.google.com with SMTP id u8so17329298ior.13
 for <guix-patches@HIDDEN>; Mon, 08 Feb 2021 19:55:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=atai-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:from:date:message-id:subject:to;
 bh=DUg5BwKMqcn39k4MqMiX7rZqKGAu4HgmUfUHujho/+g=;
 b=Syme82QL9CyZHpfPv9my4iGKlJ0yB5c95d7CXwZ/wPQL52s1P2Xh9aFwwIg/2mz+UW
 we4uCSdQx2Om2WqJxlwIdBfEV6w6dwK7Qntac6h9T/4L8rr7a9qVYQnmPvA/QZrrJzDE
 aXnFtw1pdn6TZVXrnyg/F/czvILU+R1nS/VRkTVVUhq8pHWyDFIYWPa75K9NToA1AYq2
 0dclgngLJMyvx4hXwULpTCyFtksLYyTIVmLy2q80FhBh6X0J8T7EODbss52kekAiYwEm
 hKjGRuBG4gwBIl9tmFKqkJE5pPS93moBg9HDHtt+vSS3lPKxtVmmAihVOa3oqkummdL8
 dXIQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=DUg5BwKMqcn39k4MqMiX7rZqKGAu4HgmUfUHujho/+g=;
 b=hB6q7p+VGoHsu3Pzhj8vw1Ef+Zewxt/QOYB3B/aDuOM1/8syFJkx2maEkK1LuECjGn
 IVMzpzVaIOmaLfFt/mC2OuCEAcZPcsxkc3PfSNqemsQBA2o5zW6OyNurLTe215vNR8mt
 rknO6JM4Iwgi+ISCLj01L7bFbjyQ3WlaawXJmlKHgD3x3/7d6Q/bsG/wbWQCGbQn7F2Z
 aSWat3UhlR06Im1tWEiOKC6o5rcSVRb/zwla4WjDuK0+lHYB8+VhZMQwjd67iKfytIVd
 j4OAArdkX3JMJQJ4Mg6MK2lbCG4feVp/yaRQuitHu/9IU18YfRoCW/eNzdjLpU+nPS9L
 hMvQ==
X-Gm-Message-State: AOAM533EBudS3RvMDqAq3ilypNoVe8Yie8MMyZbO1Hql/lrXrgmXno8l
 zl2B5dascfBJ3tPQWajvGv7nvKr4ku4GDSPiOfq+Dl0bagQ=
X-Google-Smtp-Source: ABdhPJyFvpKOW0SK/O3B1KK6UiTRnZwif906NZB8ZfhEY24NZCqLrttIuLvOJuiSQEYjrFzyfeCiAPAIqWbKAE+Rvlc=
X-Received: by 2002:a5d:94cb:: with SMTP id y11mr17352422ior.117.1612842919391; 
 Mon, 08 Feb 2021 19:55:19 -0800 (PST)
MIME-Version: 1.0
From: Andy Tai <atai@HIDDEN>
Date: Mon, 8 Feb 2021 19:54:43 -0800
Message-ID: <CAJsg1E82CPFxeOranmKGJjh7PVvbWfP+YJYzf1cg5UFcRJu=jw@HIDDEN>
Subject: [PATCH] gnu: Add ocrfeeder
To: guix-patches@HIDDEN
Content-Type: multipart/mixed; boundary="0000000000004a262e05badf4109"
Received-SPF: pass client-ip=2607:f8b0:4864:20::d34;
 envelope-from=lichengtai@HIDDEN; helo=mail-io1-xd34.google.com
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FREEMAIL_FORGED_FROMDOMAIN=0.248, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, RCVD_IN_DNSWL_NONE=-0.0001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--0000000000004a262e05badf4109
Content-Type: text/plain; charset="UTF-8"



--0000000000004a262e05badf4109
Content-Type: text/x-patch; charset="UTF-8"; name="0001-gnu-Add-ocrfeeder.patch"
Content-Disposition: attachment; filename="0001-gnu-Add-ocrfeeder.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_kkxgzjjp0>
X-Attachment-Id: f_kkxgzjjp0
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--0000000000004a262e05badf4109--




Acknowledgement sent to Andy Tai <atai@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#46393; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 23 Feb 2021 20:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.